<?php
/**
* @version		$Id: helper.php 9764 2007-12-30 07:48:11Z ircmaxell $
* @package		Joomla
* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

class modJaTabs extends JObject
{

	/** @var int */
	var $_Height 			= 	200;
	/** @var int */
	var $_Width 			= 	300;
	/** @var string */
	var $_position 			= 	"left";
	/** @var int */
	var $_tHeight 			= 	30;
	/** @var int */
	var $_tWidth 			= 	120;
	/** @var string */
	var $_type 				= 	"module";
	/** @var string */
	var $_mposition 	= 	"left";
	/** @var string */
	var $_content 			= 	"";
	/** @var string */
	var $_result 			= 	"";
	/** @var string */
	var $_animType 			= 	"animMoveLeft";  //animMoveLeft, animFade, animMoveDown
	/** @var string */
	var $_mouseType 		= 	"click"; //click, mouseove
	/** @var string */
	var $_style 			= 	"basic"; //click, mouseove
	/** @var int */
	var $_duration 			= 	100;


	function __construct( $params ){

		$this->_style = $params->get('style',$this->_style);

		$this->_Height = $params->get('Height',$this->_Height);
		
		$this->_Width = $params->get('Width',$this->_Width);
		
		$this->_position = $params->get('position',$this->_position);
		
		$this->_tHeight = $params->get('tHeight',$this->_tHeight);
		
		$this->_tWidth = $params->get('tWidth',$this->_tWidth);
		
		$this->_type = $params->get('type',$this->_type);
		
		$this->_mposition = $params->get('modules-position',$this->_mposition );

		$this->_content = $params->get('content-content',$this->_content);
		
		$this->_animType = $params->get('animType',$this->_animType);
		
		$this->_mouseType = $params->get('mouseType',$this->_mouseType);

		$this->_duration = $params->get('duration',$this->_mouseType);

	}

	function getString()
	{
		
		if($this->_content || $this->_mposition){
		
			$this->begintabs();
			
			switch($this->_type){
			
				case "modules": $this->getmoduletabs();
								break;
								
				case "content": 
				default:
								$this->getcontenttabs();
								break;			
			}
			
			$this->endtabs();

			$app = &JFactory::getApplication();
			
			$row = new stdClass();
			
			$row->text = $this->_result;

			$pparams = new JParameter('');
			
			$arr = $app->triggerEvent('onPrepareContent', array($row, $pparams, 0));

			
			if (!count($arr)) return '';
			
			foreach ($arr as $result) {

				if (eregi ('tabswrap', $result)) return $result;
				
			}
		}
		else return "";
	}
	
	function begintabs(){
			$this->_result = "{jatabs";
			$this->_result .= " type=\"".$this->_type."\"";
			$this->_result .= " animType=\"".$this->_animType."\"";
			$this->_result .= " style=\"".$this->_style."\"";
			$this->_result .= " position=\"".$this->_position."\"";
			$this->_result .= " widthTabs=\"".$this->_tWidth."\"";
			$this->_result .= " heightTabs=\"".$this->_tHeight."\"";
			$this->_result .= " width=\"".$this->_Width."\"";
			$this->_result .= " height=\"".$this->_Height."\"";
			$this->_result .= " mouseType=\"".$this->_mouseType."\"";
			$this->_result .= " duration=\"".$this->_duration."\"";
	}
	
	function endtabs(){
		$this->_result .= "{/jatabs}";
	}
	
	function getmoduletabs(){
		if($this->_mposition){
			$this->_result .= " module=\"".$this->_mposition."\"";
			$this->_result .= " }";
		}
	}
	
	function getcontenttabs(){
		$this->_result .= " }";
		if($this->_content){
			$this->_result .= $this->_content;
		}
	}
}
?>
