<?php
/*
 * $Id: fmt-wmp.php 668 2008-01-10 08:32:50Z Fritz Elfert $
 *
 * AllVideos Reloaded for Joomla! 1.5
 *
 * Author: Fritz Elfert
 * Copyright 2007 by Fritz Elfert
 *
 * Inspired by and partially based on:
 *
 *   The "AllVideos" Plugin for Joomla 1.0.x - Version 2.4
 *   Authors: Fotis Evangelou - George Chouliaras
 *   Copyright (c) 2006 JoomlaWorks.gr - http://www.joomlaworks.gr
 */

defined('_JEXEC') or die('Direct Access Is Not Allowed');

/**
 * Pattern definitions for Windows Media based player
 */

$_p = '<object classid="CLSID:6BF52A52-394A-11d3-B153-00C04F79FAA6"'."\n".
      ' type="application/x-oleobject" style="width: @WIDTH@px; height: @HEIGHT@px;">'."\n".
      '<param name="URL" value="@MURL@" />'."\n".
      '<param name="stretchToFit" value="1" />'."\n".
      '<param name="showControls" value="1" />'."\n".
      '<param name="showStatusBar" value="0" />'."\n".
      '<param name="animationAtStart" value="1" />'."\n".
      '<param name="autoStart" value="@AUTOSTART!d@" />'."\n".
      '<param name="enableFullScreenControls" value="@USEFULLSCREEN!d@" '."\n".
      '/><embed src="@MURL@" style="width: @WIDTH@px; height: @HEIGHT@px;" '.
      'autoStart="@AUTOSTART!d@" animationAtStart="1" '.
      'enableFullScreenControls="@USEFULLSCREEN!d@" '.
      'type="application/x-mplayer2"/></embed></object>';

$formats = array (
    'wmv' => array (
        'player' => &$_p,
        'avp' => array (
            '@MURL@' => '@SITE@@VLOC@@CODE@.wmv',
        ),
    ),

    'wmvremote' => array (
        'player' => &$_p,
        'avp' => array (
            '@MURL@' => '@CODE@',
        ),
    ),

    'wma' => array (
        'player' => &$_p,
        'avp' => array (
            '@WIDTH@' => '@AWIDTH@',
            '@HEIGHT@' => '@AHEIGHT@',
            '@MURL@' => '@SITE@@ALOC@@CODE@.wma',
        ),
    ),

    'wmaremote' => array (
        'player' => &$_p,
        'avp' => array (
            '@WIDTH@' => '@AWIDTH@',
            '@HEIGHT@' => '@AHEIGHT@',
            '@MURL@' => '@CODE@',
        ),
    ),

    'avi' => array (
        'player' => &$_p,
        'avp' => array (
            '@MURL@' => '@SITE@@VLOC@@CODE@.avi',
        ),
    ),

    'aviremote' => array (
        'player' => &$_p,
        'avp' => array (
            '@MURL@' => '@CODE@',
        ),
    ),

    'mpg' => array (
        'player' => &$_p,
        'avp' => array (
            '@MURL@' => '@SITE@@VLOC@@CODE@.mpg',
        ),
    ),

    'mpgremote' => array (
        'player' => &$_p,
        'avp' => array (
            '@MURL@' => '@CODE@',
        ),
    ),

    'mpeg' => array (
        'player' => &$_p,
        'avp' => array (
            '@MURL@' => '@SITE@@VLOC@@CODE@.mpeg',
        ),
    ),

    'mpegremote' => array (
        'player' => &$_p,
        'avp' => array (
            '@MURL@' => '@CODE@',
        ),
    ),

    'bofunk' => array (
        'player' => &$_p,
        'ripper' => array (
            'url' => 'http://www.bofunk.com/myspace/@CODE@.asx',
            'regex' => '#HREF="(http://media.bofunk.com/media/[^"]+)"#',
            'urldecode' => 0,
        ),
        'avp' => array (
            '@MURL@' => '@CODE@',
        ),
    ),

    'myspacevideocode' => array (
        'player' => &$_p,
        'avp' => array (
            '@MURL@' => 'http://www.videogroove.com/code.php?id=@CODE@',
        ),
    ),

    'myspace' => array (
        'player' => &$_p,
        'avp' => array (
            '@MURL@' => 'http://www.videogroove.com/code.php?id=@CODE@',
        ),
    ),
);
